Bug 6887 - more accurate post/preun handling and other .spec improvements
: more accurate post/preun handling and other .spec improvements
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/nginx)
: unstable
: all Linux
: P2 minor
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2005-05-17 23:31 by
Modified: 2005-09-07 00:49 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2005-05-17 23:31:59
- нужно хотя-бы положить в %doc README, а то уж больно экстремально получается.

секцию %pre надо бы переделать след. образом:

%pre
/usr/sbin/groupadd -r -f nginx ||:
/usr/sbin/useradd -r -g nginx -d /dev/null -s /dev/null -n nginx >/dev/null
2>&1 ||:
- не будет ругаться при обновлении, что пользователь nginx уже есть :)

также бы неплохо добавить секцию %post и %preun

%post
%post_service nginx

%preun
%preun_service nginx
------- Comment #1 From 2005-05-23 18:05:02 -------
%doc: какой, или написать? (не вижу аттача :)

%pre/%post/%preun: apparently fixed in 0.1.31-alt1
------- Comment #2 From 2005-05-23 18:37:45 -------
в последней моей сборке это всё было уже сделано